%                   PROGRAMME DE SYNTHESE DES DONNEES ET DE CERTAINS RESULTATS 


global temps Ir It Il Irl Itl Irt Asat etat_init vitesse_rotation altitude points_trace tau vitesse_angul_mini

global vitesse_angul_mini0 angle_mini_mod_fin rotation_initiale J jroue vitesseroue K_tumbling memoire switch1

global couple_max_roue moment_max_bobine instant_injection initpqrQ periode_pulse temps_action periode non_pulse

global Ta T Tu pulse pulse_lineaire temps_final Tf switch_long



disp('      *************** PRINCIPALES DONNEES DE LA SIMULATION ***************')
disp('                             Nanosatellite CASAASAT')
disp(' ')
disp('     Pour la phase DETUMBLING,en mode " BPOINT"  suivie de l''acquisition grossire  moins de 10')
disp('     avec 2 magntocoupleurs sur les axes roulis et lacet et une roue sur le tangage')
disp('  ')                
disp('     ***********************************************************************')
disp(' ')

disp([ '     ' 'Latitude d''injection = ' num2str(latitude_injection*180/pi) ' ']) 

disp([ '     ' 'Instant injection = ' num2str(instant_injection) ' s' '    Avec rappel --> Heure =0 s au survol quateur']) 

% Calcul du temps ou le test de vitesse arrte le tumbling

load B_point.mat;

switch=temps_Bpoint(2,1:length(temps_Bpoint));

n=1;

while switch_long(n)>0
n=n+1;
end

temps_fin_tumbling=temps(n);

% _______________________________________________________________

load B_point.mat;

temps_fin_acquisition=max(temps_Bpoint(2,1:length(temps_Bpoint)));

duree_tumbling=temps_fin_tumbling-instant_injection;

disp([ '     Heure de fin de Tumbling = ' num2str(temps_fin_tumbling) ' s, soit ' num2str(duree_tumbling) ' s, aprs l''injection' ]) 

load initpqrQ.mat;
Tf=initpqrQ(1,length(initpqrQ));
duree_acq=Tf-temps_fin_tumbling;

disp([ '     ' 'Heure fin d''acquisition fine = ' num2str(Tf) ' s, soit ' num2str(duree_acq) ' s, aprs la fin du tumbling' ]) 
disp(' ')

disp('     ---------------------  NATURE DE LA SIMULATION  ------------------------')

if pulse==1
   disp('     Simulation utilisant les mesures des magntomtres')
disp(' ') 

   disp([ '     ' 'Dure de la mesure des magntomtres = ' num2str(Ta) ' s']) 

   disp([ '     ' 'Dure d''utilisation des mesures = ' num2str(T-Ta) '  s'])

   disp([ '     ' 'Priodicit des mesures = ' num2str(T) ' s']) 
else

   disp('       Simulation non pulse, avec le champ magntique rel')

end       % Fin du test

disp(' ')
disp('     ---------------------  RESPECT DES SPECIFICATIONS  ------------------------')

disp([ '     ' 'Moment magntique maximum bobine = ' num2str(moment_max_bobine) ' Am']) 

disp([ '     ' 'Vitesse angulaire de coupure detumbling = ' num2str(vitesse_angul_mini0*180/pi) '  /s'])

disp([ '     ' 'Ecart maximum de pointage en acquisition fine = ' num2str(angle_mini_mod_fin*180/pi) ' ']) 

disp([ '     ' 'Couple maximum sur la roue = ' num2str(couple_max_roue) ' Nm']) 

disp([ '     ' 'Nombre minimum de points stocks pour les courbes = ' num2str(points_trace)])

disp([ '     ' 'Consigne de tangage = ' num2str(consigne_tangage) ' rd']) 

disp([ '     ' 'Consigne de roulis = ' num2str(consigne_roulis) ' rd']) 

disp([ '     ' 'Consigne de lacet = ' num2str(consigne_lacet) ' rd'])

if non_pulse==1
   disp([ '     ' 'Simulation avec champ non puls'])  
else
   disp([ '     ' 'Simulation avec champ puls'])
end

disp(' ')

disp('     ---------------------  COEFFICIENTS DES REGULATIONS  ------------------------')

disp(' ROULIS')

disp([ '     ' 'K_PID_ROULIS= ' num2str(K_PID_ROULIS) ' SI']) 

disp([ '     ' 'F_PID_ROULIS = ' num2str(F_PID_ROULIS) ' SI'])

disp([ '     ' 'GAIN_ROULIS = ' num2str(gain_roulis)])

disp(' LACET')

disp([ '     ' 'K_PID_LACET= ' num2str(K_PID_LACET) ' SI']) 

disp([ '     ' 'F_PID_LACET = ' num2str(F_PID_LACET) ' SI'])

disp([ '     ' 'GAIN_LACET = ' num2str(gain_lacet)])                  

disp(' TANGAGE')

disp([ '     ' 'K_PID_TANGAGE= ' num2str(K_PID_TANGAGE) ' SI']) 

disp([ '     ' 'F_PID_TANGAGE = ' num2str(F_PID_TANGAGE) ' SI'])

disp([ '     ' 'GAIN_TANGAGE = ' num2str(gain_tangage)])
disp('')
disp('     NB : Les coefficients peuvent etre modifis dans le module ddi de la simulation')
disp('        ou directement dans l''espace Matlab')

disp(' ')

disp('     ---------------------  VALEURS INITIALES  ------------------------')

disp([ '     ' 'Angle de roulis = ' num2str(roulis0) ' rd   ' 'Vitesse de roulis = ' num2str(v_roulis0) ' rd/s']) 

disp([ '     ' 'Angle de tangage = ' num2str(tangage0) ' rd   ' 'Vitesse de tangage = ' num2str(v_tangage0) ' rd/s']) 

disp([ '     ' 'Angle de lacet = ' num2str(lacet0) ' rd   ' 'Vitesse de lacet = ' num2str(v_lacet0) ' rd/s']) 


disp('')

disp('     ---------------------  PARAMETRES DU PULSE  ------------------------')

disp([ '     ' 'periode = ' num2str(periode) ' s   ' 'temps d''action = ' num2str(temps_action) ' s']) 

disp(' ')

disp('     ---------------------  FONCTIONNEMENT DE LA ROUE  ------------------------')

rot_init_tour=rotation_initiale*30/pi;
disp([ '     ' 'Vitesse initiale = ' num2str(rotation_initiale) '  rd/s ou ' num2str(rot_init_tour) ' tours/s']) 

load vit_roue.mat;
rot_finale=vit_roue_rd_s(2,length(vit_roue_rd_s));
rot_fin_tour=rot_finale*30/pi;

disp([ '     ' 'Vitesse finale = ' num2str(rot_finale) '  rd/s ou ' num2str(rot_fin_tour) ' tours/mn']) 

disp(' ')

disp('     ---------------------  TRANSMISSION EVENTUELLE DE DONNEES  ------------------------')

d1=num2str(etat_init(1));d2=num2str(etat_init(2));d3=num2str(etat_init(3));d4=num2str(etat_init(4));
d5=num2str(etat_init(5));d6=num2str(etat_init(6));d7=num2str(etat_init(7));

disp('     Vecteur  7 composantes initialisant l''intgration par le quaternion d''attitude en repre orbital')
disp(' ')
disp([ '          ' 'etat_init = [' d1 '  '  d2 '  ' d3 '  ' d4 '  ' d5 '  ' d6 '  ' d7 ']']) 
disp(' ')
disp('          Rotation absolue initiale en repre satellite: p=u(1)   q=u(2)  r=u(3)')
disp('          Quaternion d''attitude initiale par rapport au repre orbital:Q =[u(4)  u(5)  u(6)  u(7)]')
disp(' ')

disp(' ')
% -------------------------------------------------------------
% Rcupration des valeurs finales
load initpqrQ.mat;
Tf=initpqrQ(1,length(initpqrQ));
etat_final=initpqrQ(2:8,length(initpqrQ));
d1=num2str(etat_final(1));d2=num2str(etat_final(2));d3=num2str(etat_final(3));d4=num2str(etat_final(4));
d5=num2str(etat_final(5));d6=num2str(etat_final(6));d7=num2str(etat_final(7));
% -------------------------------------------------------------

disp('     Vecteur  7 composantes de la configuration finale ( variable u=initpqrQ_final)')
disp(' ')
disp([ '          ' 'etat_final = initpqrQ_final = [' d1 '  '  d2 '  ' d3 '  ' d4 '  ' d5 '  ' d6 '  ' d7 ']']) 
disp(' ')
disp(['          Instant de fin de simulation ' 'Tf = ' num2str(Tf) ' secondes'])
disp('          Rotation absolue finale en repre satellite: p=u(1)   q=u(2)  r=u(3)')
disp('          Quaternion d''attitude finale par rapport au repre orbital:Q =[u(4)  u(5)  u(6)  u(7)]')
disp(' ')
disp('     Vecteur  8 composantes de la simulation ( variable u=initpqrQ stocke dans initpqrQ.mat)')
disp('          u(1) le temps')
disp('          u(2:4) la rotation absolue en axes orbitaux')
disp('          u(5:8) le quaternion d''attitude du satellite par rapport au repre orbital') 
disp(' ')
disp('     **************************************  FIN DES SORTIES  ***********************************')
disp(' ')

disp('     ********************* TRANSMISSION DE DONNEES AUX SIMULATIONS SUIVANTES  **********************')

etat_final_avant=initpqrQ(2:8,length(initpqrQ))';   % C'est l'tat final ( mode quaternion ) de la simulation prcdente
                                                    % d'acquisition grossire ou fine
temps_final_avant=Tf;                               % C'est l'instant o s'arrte l'acquisition et commence la rgulation fine si ncessaire

disp( '     Les donnes pour la rgulation fine sont prsentes dans l''espace Matlab et seront automatiquement rcupres')
disp('      par la simulation suivante regacq1P.m ou d''autres')
disp(' ')
disp('      ***************************************  Fin des rsultats ********************************')

end 

%   *************************************  FIN DU PROGRAMME   ****************************************


